{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.hoh_bht.compass" : {
			"initial_state" : "spin",
			"states" : {
				"spin" : {
					"animations" : [ "spin" ],
					"transitions" : [
						{
							"north" : "query.is_using_item"
						}
					]
				},
				"north" : {
					"animations" : [ "north" ],
					"transitions" : [
						{
							"open_idle_finished" : "query.all_animations_finished"
						}
					]
				},
				"open_idle_finished" : {
					"animations" : [ "spin" ],
					"transitions" : [
						{
						"open_idle" : "!query.is_using_item"
						}
					]
				},
				"open_idle" : {
					"animations" : [ "spin" ],
					"transitions" : [
						{
						"north" : "query.is_using_item"
						}
					]
				}
			}
		}
	}
}
